# Query  Account Transactions

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/account/query-transactions`

### **Request Body**

&#x20;**Refer to :** [**common**](https://docs.pagsmile.com/remittance-api/common)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="212.52734375">Name</th><th width="163.2734375">Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>currency</td><td>string</td><td>Currency</td></tr><tr><td>transaction_id</td><td>long</td><td>Transaction ID</td></tr><tr><td>transaction_type</td><td>integer</td><td><p>Transaction Type</p><p>Refer to <a href="../../data/dictionary-item/transaction-type">Transaction Type</a></p></td></tr><tr><td>transaction_status</td><td>integer</td><td><p>Transaction Status,</p><p>Refer to <a href="../../data/dictionary-item/transaction-status">Transaction Status</a></p></td></tr><tr><td>start_date<mark style="color:red;">*</mark></td><td>string</td><td><p>Begin Time,</p><p>Format:yyyy-MM-dd</p></td></tr><tr><td>end_date<mark style="color:red;">*</mark></td><td>string</td><td><p>End Time,</p><p>Format:yyyy-MM-dd</p></td></tr><tr><td>page_num</td><td>integer</td><td>Default value:1</td></tr><tr><td>page_size</td><td>integer</td><td><p>Default value:10,</p><p>Max value:30</p></td></tr></tbody></table>

{% hint style="info" %}

{% endhint %}

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":[],
    "total":0,
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name                                                    | Type    | Description                                                                                                       |
| ------------------------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------------- |
| transaction\_id<mark style="color:red;">\*</mark>       | string  | Transaction id                                                                                                    |
| order\_no<mark style="color:red;">\*</mark>             | string  | Order number                                                                                                      |
| transaction\_type<mark style="color:red;">\*</mark>     | integer | <p>Transaction Type</p><p>Refer to <a href="../../data/dictionary-item/transaction-type">Transaction Type</a></p> |
| transaction\_status<mark style="color:red;">\*</mark>   | integer | Transaction status                                                                                                |
| account\_no<mark style="color:red;">\*</mark>           | string  | Account number                                                                                                    |
| account\_name<mark style="color:red;">\*</mark>         | string  | Account name                                                                                                      |
| billing\_currency<mark style="color:red;">\*</mark>     | string  | Billing currency                                                                                                  |
| billing\_amount<mark style="color:red;">\*</mark>       | string  | Billing amount                                                                                                    |
| billing\_fee<mark style="color:red;">\*</mark>          | string  | Billing fee                                                                                                       |
| transaction\_amount<mark style="color:red;">\*</mark>   | string  | Transaction amount                                                                                                |
| transaction\_currency<mark style="color:red;">\*</mark> | string  | Transaction currency                                                                                              |
| exchange\_rate                                          | string  | Exchange rate                                                                                                     |
| reference                                               | string  | Remarks                                                                                                           |
| related\_transaction\_id                                | string  | Related Transaction ID                                                                                            |
| business\_date                                          | string  | Format: yyyy-MM-dd                                                                                                |
| created\_at                                             | string  | Format: yyyy-MM-dd HH:mm:ss                                                                                       |

### Example <a href="#example" id="example"></a>

```
curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/account/query-transactions' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.
